PHP Handbuch
Zurück |  | Weiter

# Anhang S. Userland Naming Guide

The following is a guide for how to best choose names for identifiers in userland PHP code. When choosing names for any code that creates symbols in the global namespace, it is important to take into account the following guidelines to prevent future versions of PHP from clashing with your symbols.

# Global Namespace

Here is an overview of code constructs that go into the global namespace:

- functions

- classes

- interfaces

- constants (not class constants)

- variables defined outside of functions/methods

Zurück | Zum Anfang | Weiter
List of Parser Tokens | Nach oben | Rules